import { outcomeTable, tableTable } from '../schema';

type Outcome = typeof outcomeTable.$inferInsert;
type PartialOutcome = Omit<Outcome, "tableId"> | Omit<Outcome, "tableId" | "roll">
type Table = typeof tableTable.$inferSelect;

function outcomesForTableId(tableId: number, partialOutcomes: Array<PartialOutcome>): Array<Outcome> {
  return partialOutcomes.map((outcome, index) => {
    return {
      roll: index + 1,
      ...outcome,
      tableId,
    }
  });
}

function data(tables: Table[]): Array<Outcome> {
  return [
    ...outcomesForTableId(tables[0].id, [
      { name: 'Drunken lush' },
      { name: 'Stubborn' },
    ])
  ] as Array<Outcome>
}

export default data;
