import { sourceTable, publisherTable } from '../schema';

type Source = typeof sourceTable.$inferInsert;
type Publisher = typeof publisherTable.$inferSelect;

function findByName({ name: publisherName }: Publisher, name: String) { return publisherName === name }
function findIdByName(publishers: Publisher[], name: String): number | undefined {
  return publishers.find(publisher => findByName(publisher, name))?.id
}

function data(publishers: Publisher[]): Array<Source> {
  return [
    {
      name: 'Pirate Borg',
      url: 'https://www.limithron.com/pirateborg',
      publisherId: findIdByName(publishers, 'Limithron')
    }
  ] as Array<Source>
}

export default data;
